commit:     0654ccd5b3fadcb33ea6edf2ffb898b55fda2021
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 14 17:30:53 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 14 18:27:37 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0654ccd5

app-arch/cpio: add 2.15

Closes: https://bugs.gentoo.org/898344
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-arch/cpio/Manifest         |  1 +
 app-arch/cpio/cpio-2.15.ebuild | 48 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-arch/cpio/Manifest b/app-arch/cpio/Manifest
index dfe669870d3e..fd953b128e70 100644
--- a/app-arch/cpio/Manifest
+++ b/app-arch/cpio/Manifest
@@ -1,3 +1,4 @@
 DIST cpio-2.13-CVE-2021-38185.patch.xz 7844 BLAKE2B 
e338950e03c3eed3b4288435c9c75af8f0c3497b43680be4ee347e628db7cfac616b437a848094bf82cfc2c7f29d59b388bf0f6368b3b99770022e3f9533be11
 SHA512 
4d2cafefcd1ae9d86cb5171de2896799713490dfd9ed27d3dce0886fa4588c8df2b16ad8508a5dbb9155c9de6e40b6d1083bdb4774d967193a270a1dcbe37a33
 DIST cpio-2.13.tar.bz2 1354559 BLAKE2B 
45d77723acb55f15c8574ab5a2fdff6fb1767629d177dd3416b0268e9f82ee6bdd11b4fa591ef020efccbdc3f4918cf77263169da1a0f6422dfe1a9712295778
 SHA512 
459398e69f7f48201c04d1080218c50f75edcf114ffcbb236644ff6fcade5fcc566929bdab2ebe9be5314828d6902e43b348a8adf28351df978c8989590e93a3
 DIST cpio-2.14.tar.bz2 1521004 BLAKE2B 
f2fa9f5bc39cd91f4755fdf27f43cff4d1c1f098639502689a01314762ad686bf357a1eda7f92e4c802e6e8335548ca31fc789cea056ef685c558892ddcbebd1
 SHA512 
2dc93a81e31b6fb7ff9976243d22ca7a84bb396c7ad09e0abfb5d5efae1164ebb319fb89be45045797f8c604b3e3d2ea0746e3cfe559aa86282ea4ec9a17da28
+DIST cpio-2.15.tar.bz2 1651320 BLAKE2B 
ca2aae6a00239be7aff5558a2e62b4fb4b43c2ed7f4d7a23699c958ae10b348c4ebf39233f0dd0242cba895fdac4d0ff3b4e56fefa0b1afe3db41eb6916e0b23
 SHA512 
e3c3d0344d13d540887198ee5d6209a9254ed34b87c3b3cabe6dc3ce22ef94d3f380bb60d3395eee44e4b0ec8460b957032c6251f101b4a9fbc5951a701aadff

diff --git a/app-arch/cpio/cpio-2.15.ebuild b/app-arch/cpio/cpio-2.15.ebuild
new file mode 100644
index 000000000000..e9733b098ca1
--- /dev/null
+++ b/app-arch/cpio/cpio-2.15.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="File archival tool which can also read and write tar files"
+HOMEPAGE="https://www.gnu.org/software/cpio/cpio.html";
+SRC_URI="mirror://gnu/cpio/${P}.tar.bz2"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+IUSE="nls"
+
+PDEPEND="
+       app-alternatives/cpio
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.12-non-gnu-compilers.patch # bug #275295
+)
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+       unreachable
+       MIN
+       alignof
+       static_assert
+)
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable nls)
+               --bindir="${EPREFIX}"/bin
+               --with-rmt="${EPREFIX}"/usr/sbin/rmt
+               # install as gcpio for better compatibility with non-GNU 
userland
+               --program-prefix=g
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+pkg_postinst() {
+       # Ensure to preserve the symlink before app-alternatives/cpio
+       # is installed
+       if [[ ! -h ${EROOT}/bin/cpio ]]; then
+               ln -s gcpio "${EROOT}/bin/cpio" || die
+       fi
+}

Reply via email to